<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Lead extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['name', 'email', 'phone', 'location', 'vehicle_name', 'description', 'longitude', 'latitude', 'city'];

    public function jobs()
    {
        return $this->hasMany(VendorJob::class);
    }
}

