<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class VendorJob extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = ['lead_id', 'vendor_id', 'status', 'assigned_to', 'is_approved'];

    public function lead()
    {
        return $this->belongsTo(Lead::class);
    }

    public function vendor()
    {
        return $this->belongsTo(User::class, 'vendor_id');
    }
}
