@extends('layouts.backend.app')

@section('content')
<div class="hold-transition login-page" style="min-height: 466px;">
  <div class="login-box">
    <div class="card card-outline card-primary">
      <div class="card-header text-center">
        <a href="#" class="h1"><b>FitMyTyre</b></a>
      </div>
      <div class="card-body">
        <p class="login-box-msg">Login</p>

        <form action="{{ route('backend.post.login') }}" method="post">
          @csrf
          <div class="input-group mb-3">
          <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-envelope"></span>
              </div>
            </div>
            <input type="email" class="form-control @error('email') is-invalid @enderror" name="email" placeholder="Email" value="{{ old('email') }}">
            
            @error('email')
            <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="input-group mb-3">
          <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-lock"></span>
              </div>
            </div>
            <input type="password" class="form-control @error('password') is-invalid @enderror" name="password" placeholder="Password" id="password">
            
            <div class="input-group-append">
              <div class="input-group-text">
                <span class="fas fa-eye" id="togglePassword" style="cursor: pointer;"></span>
              </div>
            </div>
           
            @error('password')
            <div class="invalid-feedback">{{ $message }}</div>
            @enderror
          </div>
          <div class="row">
            <div class="col-8">
              <div class="icheck-primary">
                <input type="checkbox" id="remember"  name="remember" {{ old('remember') ? 'checked' : '' }}>
                <label for="remember">
                  Remember Me
                </label>
              </div>
            </div>
            <!-- /.col -->
            <div class="col-4">
              <button type="submit" class="btn btn-primary btn-block">Sign In</button>
            </div>
            <!-- /.col -->
          </div>
        </form>

        <p class="mb-1">
          <a href="#">I forgot my password</a>
        </p>
    
      </div>
      <!-- /.card-body -->
    </div>
    <!-- /.card -->
  </div>
</div>

<!-- JavaScript for Password Toggle -->
<script>
  document.getElementById('togglePassword').addEventListener('click', function () {
      let passwordField = document.getElementById('password');
      let icon = this;
      
      if (passwordField.type === "password") {
          passwordField.type = "text";
          icon.classList.remove('fa-eye');
          icon.classList.add('fa-eye-slash');
      } else {
          passwordField.type = "password";
          icon.classList.remove('fa-eye-slash');
          icon.classList.add('fa-eye');
      }
  });
</script>

@endsection