<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>FitMyTyre</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <link rel="stylesheet" href="{{ asset('css/auth.css') }}">
</head>

<body>
  <section class="bg-light p-0 login-page">
    <div class="container_ w-100">
      <div class="row justify-content-center mx-0">
        <div class="col-12 col-xxl-12 p-0">
          <div class="border-light-subtle shadow-sm m-0">
            <div class="row g-0 vh-100">
              <div class="right col-12 col-md-6 py-5 bg-dark text-center d-flex align-items-start justify-content-center position-relative bg_img" style="background: url({{ asset('images/bg_image.webp') }}) no-repeat center / cover;">
                <div class="text-center px-4 position-relative">
                  <a href="#!">
                    <img src="{{ asset('images/logo.png') }}" alt="Logo" width="auto" height="42">
                  </a>
                </div>

              </div>
              <div class="col-12 col-md-6 d-flex align-items-center justify-content-center">
                <div class="col-12 col-lg-11 col-xl-10 p-3 p-md-5">
                  <div class="p-0">
                    <div class="row">
                      <div class="col-12">
                        <div class="mb-4">
                          <h3 class="text-center">Forgot Password</h3>
                        </div>
                      </div>
                    </div>

                    <form action="{{ route('password.email') }}" method="post">
                      @csrf
                      <div class="row gy-3 overflow-hidden">
                        <div class="col-12">
                          <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror" name="email" id="email"
                              placeholder="">
                            @error('email')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-12">
                          <div class="d-grid">
                            <button class="btn btn-primary btn-lg" type="submit">Submit</button>
                          </div>
                        </div>
                      </div>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</body>

</html>