@extends('layouts.frontend.app')

@section('content')
<section class="banner bg">
        <div class="container">
            <div class="row row-cols-md-2 align-items-center">
                <div>

                </div>
                <div class="pb-3">
                    <div class="form">
                        <form action="{{ route('frontend.post.contact') }}" method="post">
                            @csrf
                            <h2 class="white text-center mb-4">Contact Us</h2>
                            @if(session('success'))
                            <div class="alert alert-success alert-dismissible fade show mt-4" role="alert">
                                {{ session('success') }}
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            @endif
                            <div class="mb-3">
                                <input type="text" class="form-control @error('name') is-invalid @enderror" placeholder="Name" name="name">
                                @error('name')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <input type="text" class="form-control @error('email') is-invalid @enderror" placeholder="Email Address" name="email">
                                @error('email')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <input type="text" class="form-control @error('phone') is-invalid @enderror" placeholder="Phone No" name="phone">
                                @error('phone')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <input type="text" class="form-control @error('location') is-invalid @enderror" placeholder="Location" name="location">
                                @error('location')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <input type="text" name="vehicle_name" class="form-control @error('vehicle_name') is-invalid @enderror" placeholder="Vehicle Name" name="vehicle_name">
                                @error('vehicle_name')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3">
                                <textarea class="form-control @error('description') is-invalid @enderror" placeholder="Description" name="description"></textarea>
                                @error('description')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="text-center"><button type="submit" class="btn btn-default btn-lg">Contact Us</button>

                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="space-80 bg-line">
        <div class="container">
            <div class="row">
                <div class="mb-4">
                    <div class="radius-20 tyre-section p-4 h-100 border">
                        <div class="col-md-5 p-4">
                            <h2 class="mb-3">Who We Are</h2>
                            <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged.</p>

                            <p>It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.
                                It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.</p>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>

    <section class="relative space-80 after-before-tyre">
        <div class="container">
            <h2 class="text-center mb-4">Our Services</h2>
            <div class="row row-cols-md-3">
                <div class="mb-4">
                    <div class="bg-white radius-20 p-1 h-100 border">
                        <figure class="figure-with-caption gradient-after relative m-0">
                            <img src="{{ asset('images/tyre-sale.png') }}" alt="Tyre Sales & Installation" class=" radius-20 " />
                            <figcaption class="title-30 font-weight-600 absolute white">Tyre Sales & Installation</figcaption>
                        </figure>
                    </div>
                </div>
                <div class="mb-4">
                    <div class="bg-white radius-20 p-1 h-100 border">
                        <figure class="figure-with-caption gradient-after relative m-0">
                            <img src="{{ asset('images/repairs.png') }}" alt="repairs" class=" radius-20 " />
                            <figcaption class="title-30 font-weight-600 absolute white">Puncture Repairs</figcaption>
                        </figure>
                    </div>
                </div>
                <div class="mb-4">
                    <div class="bg-white radius-20 p-1 h-100 border">
                        <figure class="figure-with-caption gradient-after relative m-0">
                            <img src="{{ asset('images/emergency-tyre.png') }}" alt="Tyre Sales & Installation" class=" radius-20 " />
                            <figcaption class="title-30 font-weight-600 absolute white">Emergency Tyre Assistance</figcaption>
                        </figure>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <section class="space-80 bg-line-blue">
        <div class="container">
            <div class="row">
                <div class="mb-4">
                    <div class="row row-cols-md-2">
                        <div class="p-4">
                            <img src="{{ asset('images/fit-my-tyre.png') }}" alt="fit my tyre" class="radius-20" />
                        </div>
                        <div class="p-4">
                            <h2 class="mb-3 white">Why Choose Fit My Tyre</h2>
                            <p class="white">Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled.</p>

                            <ul class="white checklist unstyled">
                                <li>Certified Technicians</li>
                                <li>State-of-The-Art Equipment</li>
                                <li>Competitive Pricing</li>
                                <li>Exceptional Customer Support</li>
                                <li>Convenient Location</li>
                            </ul>
                            <a href="#" class="btn btn-white btn-lg">Contact Us</a>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </section>

    <section class="space-80 after-before-tyre">
        <div class="container">
            <div class="text-center">
                <h2 class="mb-4 black">What Our Clients Say</h2>
            </div>
            <div class="post-carousel owl-carousel">
                <div class="item">
                    <div class="bg-gray radius-30 mb-3 p-5 text-center">
                        <picture>
                            <img src="{{ asset('images/client.png') }}" alt="client" />
                        </picture>
                        <div class="p-3">
                            <h3 class="title-22">Dummy Name</h3>
                            <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>

                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="bg-gray radius-30  mb-3 p-5 text-center">
                        <picture>
                            <img src="{{ asset('images/client-2.png') }}" alt="client" />
                        </picture>
                        <div class="p-3">
                            <h3 class="title-22">Dummy Name</h3>
                            <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>

                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="bg-gray radius-30 mb-3 p-5 text-center">
                        <picture>
                            <img src="{{ asset('images/client-3.png') }}" alt="client" />
                        </picture>
                        <div class="p-3">
                            <h3 class="title-22">Dummy Name</h3>
                            <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>

                        </div>
                    </div>
                </div>
                <div class="item">
                    <div class="bg-gray radius-30 mb-3 p-5 text-center">
                        <picture>
                            <img src="{{ asset('images/client-2.png') }}" alt="client" />
                        </picture>
                        <div class="p-3">
                            <h3 class="title-22">Dummy Name</h3>
                            <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book.</p>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
@endsection
