<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>FitMyTyre</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <link rel="stylesheet" href="{{ asset('css/auth.css') }}">
</head>

<body>
  <section class="bg-light p-0 login-page">
    <div class="container_ w-100">
      <div class="row justify-content-center mx-0">
        <div class="col-12 col-xxl-12 p-0">
          <div class="border-light-subtle shadow-sm m-0">
            <div class="row g-0 vh-100">
              <div class="right col-12 col-md-6 py-5 bg-dark text-center d-flex align-items-start justify-content-center position-relative bg_img" style="background: url({{ asset('images/bg_image.webp') }}) no-repeat center / cover;">
                <div class="text-center px-4 position-relative">
                  <a href="#!">
                    <img src="{{ asset('images/logo.png') }}" alt="Logo" width="auto" height="42">
                  </a>
                </div>
      
              </div>
              <div class="col-12 col-md-6 d-flex align-items-center justify-content-center">
                <div class="col-12 col-lg-11 col-xl-10 p-3 p-md-5">
                  <div class="p-0">
                    <div class="row">
                      <div class="col-12">
                        <div class="mb-4">
                          <h3 class="text-center">Register</h3>
                        </div>
                      </div>
                    </div>

                    <form action="{{ route('frontend.post.register') }}" method="post">
                      @csrf
                      <div class="row gy-3 overflow-hidden">

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="name" class="form-label">Name</label>
                            <input type="text" class="form-control @error('name') is-invalid @enderror" name="name" id="name"
                              placeholder="">
                            @error('name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control @error('email') is-invalid @enderror" name="email" id="email"
                              placeholder="">
                            @error('email')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="phone" class="form-label">Phone</label>
                            <input type="text" class="form-control @error('phone') is-invalid @enderror" name="phone" id="phone"
                              placeholder="">
                            @error('phone')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" class="form-control @error('password') is-invalid @enderror" name="password" id="password" value=""
                              placeholder="">
                            @error('password')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror

                          </div>
                        </div>
                        <div class="col-6">
                          <div class="mb-3">
                            <label for="password" class="form-label">Confirm Password</label>
                            <input type="password" class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation" id="password_confirmation" value=""
                              placeholder="">
                            @error('password_confirmation')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="location" class="form-label">Location</label>
                            <input type="text" class="form-control @error('location') is-invalid @enderror" name="location" id="location" value="" placeholder="">
                            @error('location')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <div class="col-6">
                          <div class="mb-3">
                            <label for="vehicle_name" class="form-label">Vehicle Name</label>
                            <input type="text" class="form-control @error('vehicle_name') is-invalid @enderror" name="vehicle_name" id="vehicle_name">
                            @error('vehicle_name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                          </div>
                        </div>

                        <input type="hidden" id="longitude" name="longitude" value="">
                        <input type="hidden" id="latitude" name="latitude" value="">

                        <div class="col-12">
                          <div class="d-grid">
                            <button class="btn btn-primary btn-lg" type="submit">Register</button>
                          </div>
                        </div>
                      </div>
                    </form>

                    <div class="row">
                      <div class="col-12">
                        <div class="d-flex gap-2 gap-md-4 flex-column flex-md-row justify-content-md-center mt-4">
                          <a href="{{ route('frontend.login') }}" class="link-secondary text-decoration-none">Already a User?</a>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- Load Google Places API -->
  <script src="https://maps.googleapis.com/maps/api/js?key={{ env('GOOGLE_PLACES_API_KEY') }}&libraries=places"></script>

  <script>
    document.addEventListener('DOMContentLoaded', function() {
      let input = document.getElementById('location');
      let autocomplete = new google.maps.places.Autocomplete(input);

      autocomplete.addListener('place_changed', function() {
        let place = autocomplete.getPlace();

        if (!place.geometry) {
          console.log("No geometry data found for this place.");
          return;
        }

        document.getElementById('latitude').value = place.geometry.location.lat();
        document.getElementById('longitude').value = place.geometry.location.lng();
      });
    });
  </script>

</body>

</html>