<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>FitMyTyre</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ asset('css/auth.css') }}">
</head>

<body>
    <div class="wrapper userlogin p-5">
        <main class="content container">
            <div class="row justify-content-center mx-0 bg-white rounded overflow-hidden">
                <div class="col-12 col-md-4 text-center align-items-start p-3 d-flex justify-content-center left-img" style="background: url({{ asset('images/bg_image.webp') }}) no-repeat center / cover">
                    <div class="left-side">
                        <img class="mb-3" src="{{ asset('images/logo.png') }}" alt="Logo" width="auto" height="42">

                    </div>
                </div>
                <div class="col-md-8 col-12 bg-white">
                    <!-- create-user -->
                    <div class="custom-card m-0 p-md-5">
                        <h3 class="mb-4">Become a Vendor</h3>
                        <form class="row mt-3 pb-5" method="post" action="{{ route('frontend.post.vendor.register') }}">
                            @csrf
                            <div class="mb-3 col-12 col-md-4">
                                <label class="form-label">Name</label>
                                <input type="text" class="form-control @error('name') is-invalid @enderror" name="name">
                                @error('name')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3 col-12 col-md-4">
                                <label class="form-label">Email</label>
                                <input type="email" class="form-control @error('email') is-invalid @enderror" name="email">
                                @error('email')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                            <div class="mb-3 col-12 col-md-4">
                                <label class="form-label">Phone</label>
                                <input type="text" class="form-control @error('phone') is-invalid @enderror" name="phone">
                                @error('phone')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>

                                <div class="mb-3 col-12 col-md-4">
                                    <label for="location">Location</label>
                                    <input type="text" class="form-control @error('location') is-invalid @enderror" id="location" name="location">
                                    @error('location')
                                    <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>

                                <div class="mb-3 col-12 col-md-4">
                                <label class="form-label">Vehicle Name</label>
                                <input type="text" class="form-control @error('vehicle_name') is-invalid @enderror" name="vehicle_name">
                                @error('vehicle_name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                                </div>

                                <div class="mb-3 col-12 col-md-4">
                                    <label for="document">Upload Document</label>
                                    <input type="file" class="form-control" id="document" name="document">
                                </div>

                                <input type="hidden" id="longitude" name="longitude" value="">
                                <input type="hidden" id="latitude" name="latitude" value="">

                                <hr class="my-4">

                                <div class="text-end">
                                    <button type="submit" class="btn btn-primary w-auto px-5">Submit</button>
                                </div>
                        </form>
                    </div>
                </div>
        </main>
    </div>
    <!-- Load Google Places API -->
  <script src="https://maps.googleapis.com/maps/api/js?key={{ env('GOOGLE_PLACES_API_KEY') }}&libraries=places"></script>

<script>
  document.addEventListener('DOMContentLoaded', function() {
    let input = document.getElementById('location');
    let autocomplete = new google.maps.places.Autocomplete(input);

    autocomplete.addListener('place_changed', function() {
      let place = autocomplete.getPlace();

      if (!place.geometry) {
        console.log("No geometry data found for this place.");
        return;
      }

      document.getElementById('latitude').value = place.geometry.location.lat();
      document.getElementById('longitude').value = place.geometry.location.lng();
    });
  });
</script>
</body>

</html>