<div>
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Users</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Users</li>
          </ol>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <div class="row">
                <div class="col">
                  <h3 class="card-title">Users List</h3>
                </div>
              </div>
            </div>

            <div class="card-tools d-flex align-items-center mb-2 mt-4 ml-2">
                <input type="text" class="form-control form-control-sm w-25" placeholder="Search" wire:model.live.debounce.200ms="search">
            </div>

            <div class="card-body table-responsive p-0">
              <table class="table table-hover text-nowrap">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Location</th>
                    <th>Status</th>
                    <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                  @forelse($users as $user)
                  <tr>
                    <td>{{ $user->id }}</td>
                    <td>{{ $user->name ?? 'N/A' }}</td>
                    <td>{{ $user->email ?? 'N/A' }}</td>
                    <td>{{ $user->phone ?? 'N/A' }}</td>
                    <td>{{ $user->city ?? 'N/A' }}</td>
                    <td>{{ $user->status == 1 ? 'Active' : 'Inactive' }}</td>
                    <td>
                    @if($user->status == 0)
                        <button class="btn btn-link text-dark" wire:click="activateUser({{ $user->id }})"><i class="fas fa-user-check"></i></button>
                      @else
                        <button class="btn btn-link text-dark" wire:click="deactivateUser({{ $user->id }})"><i class="fas fa-user-slash"></i></button>
                      @endif
                    </td>
                  </tr>
                  @empty
                  <tr>
                    <td colspan="7" class="text-center">No users found.</td>
                  </tr>
                  @endforelse
                </tbody>
              </table>
            </div>

            <div class="p-2 mt-2">
              {{ $users->links() }}
            </div>
          </div>
        </div>
      </div>

    </div>
  </section>
</div>
