<div>
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Vendors</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Vendors</li>
          </ol>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <div class="row">
                <div class="col">
                  <h3 class="card-title">Vendors List</h3>
                </div>
                <div class="col">
                  <a href="{{ route('backend.add.vendor') }}" class="btn btn-primary float-end" wire:navigate>+ Add</a>
                </div>
              </div>
            </div>

            <!-- Tabs -->
            <ul class="nav nav-tabs mt-3">
              <li class="nav-item">
                <a class="nav-link {{ $activeTab === 'requested' ? 'active' : '' }}" wire:click.prevent="setTab('requested')" href="#">Requested Vendors</a>
              </li>
              <li class="nav-item">
                <a class="nav-link {{ $activeTab === 'approved' ? 'active' : '' }}" wire:click.prevent="setTab('approved')" href="#">Approved Vendors</a>
              </li>
            </ul>

            <div class="card-tools d-flex align-items-center mb-2 mt-4 ml-2">
                <input type="text" class="form-control form-control-sm w-25" placeholder="Search" wire:model.live.debounce.200ms="search">
            </div>

            <div class="card-body table-responsive p-0">
              <table class="table table-hover text-nowrap">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Location</th>
                    <th>Status</th>
                    <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                  @forelse($vendors as $vendor)
                  <tr>
                    <td>{{ $vendor->id }}</td>
                    <td>{{ $vendor->name ?? 'N/A' }}</td>
                    <td>{{ $vendor->email ?? 'N/A' }}</td>
                    <td>{{ $vendor->phone ?? 'N/A' }}</td>
                    <td>{{ $vendor->city ?? 'N/A' }}</td>
                    <td>{{ $vendor->status == 1 ? 'Active' : 'Inactive' }}</td>
                    <td>
                      <a class="btn btn-link text-dark" href="{{ route('backend.edit.vendor', $vendor->id) }}"><i class="fas fa-edit"></i></a>
                      @if($vendor->status == 0)
                        <button class="btn btn-link text-dark" wire:click="activateVendor({{ $vendor->id }})"><i class="fas fa-user-check"></i></button>
                      @else
                        <button class="btn btn-link text-dark" wire:click="deactivateVendor({{ $vendor->id }})"><i class="fas fa-user-slash"></i></button>
                      @endif
                      @if(!$vendor->is_approved)
                        <button class="btn btn-link text-dark" wire:click="approveVendor({{ $vendor->id }})"><i class="fas fa-user-check"></i></button>
                      @endif
                      <button class="btn btn-link text-dark" wire:click="deleteVendor({{ $vendor->id }})" onclick="confirm('Are you sure?') || event.stopImmediatePropagation();"><i class="fas fa-trash"></i></button>
                    </td>
                  </tr>
                  @empty
                  <tr>
                    <td colspan="7" class="text-center">No vendors found.</td>
                  </tr>
                  @endforelse
                </tbody>
              </table>
            </div>

            <div class="p-2 mt-2">
              {{ $vendors->links() }}
            </div>
          </div>
        </div>
      </div>

     

    </div>
  </section>
</div>
