<div>
  <section class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h1>Vendors</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#">Home</a></li>
            <li class="breadcrumb-item active">Vendors</li>
          </ol>
        </div>
      </div>
    </div>
  </section>

  <section class="content">
    <div class="container-fluid">
      <div class="row">
        <div class="col-12">
          <div class="card">
            <div class="card-header">
              <div class="row">
                <div class="col">
                  <h3 class="card-title">Vendors List</h3>
                </div>
                <div class="col">
                  <a href="<?php echo e(route('backend.add.vendor')); ?>" class="btn btn-primary float-end" wire:navigate>+ Add</a>
                </div>
              </div>
            </div>

            <!-- Tabs -->
            <ul class="nav nav-tabs mt-3">
              <li class="nav-item">
                <a class="nav-link <?php echo e($activeTab === 'requested' ? 'active' : ''); ?>" wire:click.prevent="setTab('requested')" href="#">Requested Vendors</a>
              </li>
              <li class="nav-item">
                <a class="nav-link <?php echo e($activeTab === 'approved' ? 'active' : ''); ?>" wire:click.prevent="setTab('approved')" href="#">Approved Vendors</a>
              </li>
            </ul>

            <div class="card-tools d-flex align-items-center mb-2 mt-4 ml-2">
                <input type="text" class="form-control form-control-sm w-25" placeholder="Search" wire:model.live.debounce.200ms="search">
            </div>

            <div class="card-body table-responsive p-0">
              <table class="table table-hover text-nowrap">
                <thead>
                  <tr>
                    <th>ID</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Phone</th>
                    <th>Location</th>
                    <th>Status</th>
                    <th>Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <!--[if BLOCK]><![endif]--><?php $__empty_1 = true; $__currentLoopData = $vendors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $vendor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                  <tr>
                    <td><?php echo e($vendor->id); ?></td>
                    <td><?php echo e($vendor->name ?? 'N/A'); ?></td>
                    <td><?php echo e($vendor->email ?? 'N/A'); ?></td>
                    <td><?php echo e($vendor->phone ?? 'N/A'); ?></td>
                    <td><?php echo e($vendor->city ?? 'N/A'); ?></td>
                    <td><?php echo e($vendor->status == 1 ? 'Active' : 'Inactive'); ?></td>
                    <td>
                      <a class="btn btn-link text-dark" href="<?php echo e(route('backend.edit.vendor', $vendor->id)); ?>"><i class="fas fa-edit"></i></a>
                      <!--[if BLOCK]><![endif]--><?php if($vendor->status == 0): ?>
                        <button class="btn btn-link text-dark" wire:click="activateVendor(<?php echo e($vendor->id); ?>)"><i class="fas fa-user-check"></i></button>
                      <?php else: ?>
                        <button class="btn btn-link text-dark" wire:click="deactivateVendor(<?php echo e($vendor->id); ?>)"><i class="fas fa-user-slash"></i></button>
                      <?php endif; ?><!--[if ENDBLOCK]><![endif]-->
                      <!--[if BLOCK]><![endif]--><?php if(!$vendor->is_approved): ?>
                        <button class="btn btn-link text-dark" wire:click="approveVendor(<?php echo e($vendor->id); ?>)"><i class="fas fa-user-check"></i></button>
                      <?php endif; ?><!--[if ENDBLOCK]><![endif]-->
                      <button class="btn btn-link text-dark" wire:click="deleteVendor(<?php echo e($vendor->id); ?>)" onclick="confirm('Are you sure?') || event.stopImmediatePropagation();"><i class="fas fa-trash"></i></button>
                    </td>
                  </tr>
                  <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                  <tr>
                    <td colspan="7" class="text-center">No vendors found.</td>
                  </tr>
                  <?php endif; ?><!--[if ENDBLOCK]><![endif]-->
                </tbody>
              </table>
            </div>

            <div class="p-2 mt-2">
              <?php echo e($vendors->links()); ?>

            </div>
          </div>
        </div>
      </div>

     

    </div>
  </section>
</div>
<?php /**PATH G:\xampp\htdocs\fitmytyre\resources\views/livewire/list-vendors.blade.php ENDPATH**/ ?>